## org.eclipse.jst.pagedesigner.dtmanager.dtinfo
Interface ResolveAttributeValue

    public interface ResolveAttributeValue

A representation of the model object 'Resolve Attribute Value'.

Provisional API - subject to change

The following features are supported:

- `Attribute Name`

See Also:
  `DTInfoPackage.getResolveAttributeValue()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getAttributeName()` Returns the value of the 'Attribute Name' attribute
`void` `setAttributeName(java.lang.String value)` Sets the value of the '`Attribute Name`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getAttributeName

    java.lang.String getAttributeName()

  Returns the value of the 'Attribute Name' attribute.

  If the meaning of the 'Attribute Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute Name' attribute.
  See Also:
    `setAttributeName(String)`, `DTInfoPackage.getResolveAttributeValue_AttributeName()`

### setAttributeName

    void setAttributeName(java.lang.String value)

  Sets the value of the '`Attribute Name`' attribute.

  Parameters:
    `value` - the new value of the 'Attribute Name' attribute.
  See Also:
    `getAttributeName()`